/* Object Rexx (message operator is the tilde: ~); works with Java 1.1 too, 2003-05-10, 2005-06-05, 2005-12-28, 2006-01-06 */

/*
   license:

    ------------------------ Apache Version 2.0 license -------------------------
       Copyright (C) 2001-2006 Rony G. Flatscher

       Licensed under the Apache License, Version 2.0 (the "License");
       you may not use this file except in compliance with the License.
       You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing, software
       distributed under the License is distributed on an "AS IS" BASIS,
       WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
       See the License for the specific language governing permissions and
       limitations under the License.
    -----------------------------------------------------------------------------
*/

-- system=.bsf4rexx~Class.class~forName("java.lang.System")  -- get the class object
-- properties=system~getProperties     -- get the System properties

properties=.bsf4rexx~System.class~getProperties  -- get the System properties

   -- another version: here the BSF4Rexx utility class is employed directly
enum=.bsf~new('org.rexxla.bsf.engines.rexx.EnumerationWrapper', properties~propertyNames)       -- get an enumeration of the property names
say copies("=", 70)

do while enum~hasMoreElements       -- loop over enumeration
   key=enum~nextElement             -- get next element
   say "key:" pp(left(key, 30)) "value:" pp(properties~getProperty(key))
end


::requires BSF.CLS -- get the Object Rexx support for bsf4rexx

::routine pp   -- "cheap man's pretty print"
  return "[" || arg(1) || "]"
